libnvme(2)

NAME
struct nvme_dim_args - Arguments for the Discovery Information Management (DIM) command

SYNOPSIS
struct nvme_dim_args {
__u32 *result;
void *data;
int args_size;
int fd;
__u32 timeout;
__u32 data_len;
__u8 tas;
};

Members

result
    Set on completion to the command's CQE DWORD 0 controller response.

data
    Pointer to the DIM data

args_size
    Length of the structure

fd  File descriptor of nvme device

timeout
    Timeout in ms

data_len
    Length of data

tas Task field of the Command Dword 10 (cdw10)